Package icyllis.modernui.widget

# Class FrameLayout.LayoutParams

java.lang.Object
icyllis.modernui.view.ViewGroup.LayoutParams
icyllis.modernui.view.ViewGroup.MarginLayoutParams
icyllis.modernui.widget.FrameLayout.LayoutParams

Enclosing class:
  `FrameLayout`

public static class FrameLayout.LayoutParams extends ViewGroup.MarginLayoutParams
Per-child layout information for layouts that support margins.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `gravity`
  The gravity to apply with the View to which these layout parameters are associated.
  `static final int`
  `UNSPECIFIED_GRAVITY`
  Value for `gravity` indicating that a gravity has not been explicitly specified.

  ### Fields inherited from class icyllis.modernui.view.ViewGroup.MarginLayoutParams

  `bottomMargin, DEFAULT_MARGIN_RELATIVE, leftMargin, rightMargin, topMargin`

  ### Fields inherited from class icyllis.modernui.view.ViewGroup.LayoutParams

  `height, MATCH_PARENT, width, WRAP_CONTENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LayoutParams(int width, int height)`
  Creates a new set of layout parameters with the specified width and height.
  `LayoutParams(int width, int height, int gravity)`
  Creates a new set of layout parameters with the specified width, height and gravity.
  `LayoutParams(ViewGroup.LayoutParams source)`
  `LayoutParams(ViewGroup.MarginLayoutParams source)`
  `LayoutParams(FrameLayout.LayoutParams source)`
  Copy constructor.

- ## Method Summary

  ### Methods inherited from class icyllis.modernui.view.ViewGroup.MarginLayoutParams

  `copyMarginsFrom, getLayoutDirection, getMarginEnd, getMarginStart, isLayoutRtl, isMarginRelative, onDebugDraw, resolveLayoutDirection, setLayoutDirection, setMarginEnd, setMargins, setMarginsRelative, setMarginStart`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNSPECIFIED_GRAVITY

    public static final int UNSPECIFIED_GRAVITY
    Value for `gravity` indicating that a gravity has not been explicitly specified.
    See Also:
      - Constant Field Values

  - ### gravity

    public int gravity
    The gravity to apply with the View to which these layout parameters are associated.

    The default value is `UNSPECIFIED_GRAVITY`, which is treated by FrameLayout as `Gravity.TOP | Gravity.START`.

    See Also:
      - `Gravity`

- ## Constructor Details

  - ### LayoutParams

    public LayoutParams(int width, int height)
    Creates a new set of layout parameters with the specified width and height.
    Parameters:
      `width` - the width, either `ViewGroup.LayoutParams.WRAP_CONTENT`, `ViewGroup.LayoutParams.MATCH_PARENT`, or a size in pixels
      `height` - the height, either `ViewGroup.LayoutParams.WRAP_CONTENT`, `ViewGroup.LayoutParams.MATCH_PARENT`, or a size in pixels

  - ### LayoutParams

    public LayoutParams(int width, int height, int gravity)
    Creates a new set of layout parameters with the specified width, height and gravity.
    Parameters:
      `width` - the width, either `ViewGroup.LayoutParams.MATCH_PARENT`, `ViewGroup.LayoutParams.WRAP_CONTENT` or a fixed size in pixels
      `height` - the height, either `ViewGroup.LayoutParams.MATCH_PARENT`, `ViewGroup.LayoutParams.WRAP_CONTENT` or a fixed size in pixels
      `gravity` - the gravity
    See Also:
      - `Gravity`

  - ### LayoutParams

    public LayoutParams(@NonNull ViewGroup.LayoutParams source)

  - ### LayoutParams

    public LayoutParams(@NonNull ViewGroup.MarginLayoutParams source)

  - ### LayoutParams

    public LayoutParams(@NonNull FrameLayout.LayoutParams source)
    Copy constructor. Clones the width, height, margin values, and gravity of the source.
    Parameters:
      `source` - the layout params to copy from.